# Controller
## links
* https://www.kernel.org/doc/Documentation/i2c/dev-interface
* https://forum.arduino.cc/t/solved-cannot-get-correct-i2c-data-from-atmega8-into-raspberry-pi/1368337

## PINs
* interal = physical = usage
* 5 = 29 = reset peripheral devices
* 0 = 10 = I2C SDA
* 1 = 9 = I2C SCL

## I2C
* somehow the buildin I2C does not work anymore (maybe already damaged?)
* add additional bus by using GPIOs:
```
$ fgrep i2c /boot/firmware/config.txt 
dtparam=i2c_arm=on
dtoverlay=i2c-gpio,bus=7,i2c_gpio_sda=10,i2c_gpio_scl=9
```

## commands
* reset peripheral devices: `gpioset gpiochip0 5=0`
